Bug 123855 - cannot rip with SCSI CD-ROM drive
cannot rip with SCSI CD-ROM drive
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 19:44 EDT by Shahms E. King
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:16:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shahms E. King 2004-05-20 19:44:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
Using a Plextor PX-40TS CD-ROM drive in both an Adaptec AHA-7850 and a
Tekram DC-390 (after compiling the driver myself) with cdparanoia I
get the following:

with cdparanoia -d /dev/scd0:
Error trying to open /dev/sg0 exclusively (No such device or address).

with cdparanoia -d /dev/scd0 -g /dev/scd0:
Error trying to open /dev/scd0 exclusively (Read-only file system).

with cdda2wav -D /dev/scd0:
cdrom device (/dev/scd0) is not of type generic SCSI. Setting
interface to cooked_ioctl.
*snip*
cooked: Read cdda : Input/output error
 sector 0 + 8, buffer F7063000 + 1f000
 0/ 0/ 1/  -2352   0%Sorry, this driver and/or drive does not support
cdda reading.
EnableCdda_cooked (CDIOCSETCDDA) is not available...

although cdda2wav manages to write a large, empty, file rather than
just exiting.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert audio CD in drive
2.Run cdparanoia/sound-juicer/cdda2wav
    

Actual Results:  Lot's of errors about not being able to find the SCSI
generic device or how the device doesn't support CDDA reading.

Expected Results:  CDDA extraction from the disc.

Additional info:
Comment 1 Alan Cox 2004-05-21 18:59:13 EDT
The sg part of this problem is bug 123876
Comment 2 Dave Jones 2005-04-16 02:16:49 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.